<?php

namespace Dj3c1t\AppBundle\Controller\View;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Dj3c1t\AppBundle\Entity\DefaultConfiguration;

class HeaderController extends Controller {

    public function displayAction() {
        $em = $this->getDoctrine()->getManager();
        $configurationRepo = $em->getRepository("Dj3c1tAppBundle:Configuration");
        if(!($site_title = $configurationRepo->getConfiguration("site_title"))) {
            $site_title = DefaultConfiguration::getDefaultValue("site_title");
        }
        return $this->render(
            'Dj3c1tAppBundle::header.html.twig',
            array(
                "site_title" => $site_title,
            )
        );
    }

}
