<?php

namespace Dj3c1t\AppBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\FixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Dj3c1t\AppBundle\Entity\Role;

class LoadAppBaseData implements FixtureInterface {

    public function load(ObjectManager $manager) {
        $adminRole = new Role();
        $adminRole->setName('admin');
        $adminRole->setRole('ROLE_ADMIN');
        $manager->persist($adminRole);
        $adminRole = new Role();
        $adminRole->setName('user');
        $adminRole->setRole('ROLE_USER');
        $manager->persist($adminRole);
        $manager->flush();
    }

}
